import React from 'react';
declare type PlaybackInfo = {
    videoId: string;
    videoUrl: string;
    title: string;
    color: string;
    embedCode: string;
    width: number;
    height: number;
    loadVideo(): void;
    on(event: any, callback: Function): void;
    off(event: any, callback: Function): void;
    setColor(color: string): void;
    unload(): void;
};
declare type Props = {
    videoId: string;
    autopause?: boolean;
    autoplay?: boolean;
    byline?: boolean;
    color?: string;
    controls?: boolean;
    loop?: boolean;
    muted?: boolean;
    playsinline?: boolean;
    portrait?: boolean;
    speed?: boolean;
    title?: boolean;
    transparent?: boolean;
    className?: string;
    style?: {};
    onReady?: (playbackInfo: PlaybackInfo) => void;
    onStateChange?: (currState: CurrState, playbackInfo: PlaybackInfo) => void;
    onFinish?: () => void;
    onError?: (err: any) => void;
};
declare type State = {
    playerId: string;
    isPlayerReady: boolean;
    isPlaying: boolean;
    isFirstPlay: boolean;
};
export declare class Vimeo extends React.Component<Props, State> {
    static readonly defaultProps: Props;
    state: State;
    private oVimeo;
    private readonly refWrapper;
    private resizeTID;
    constructor(props: Props);
    private initialize;
    private getConfigure;
    private destroy;
    private getPlaybackInfo;
    private onResize;
    private onReady;
    private onStateChange;
    private onError;
    getPlayerObject(): any;
    componentDidMount(): void;
    componentDidUpdate(prevProps: Props, prevState: State): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export {};
