import React from 'react';
declare type Props = {
    videoId: string;
    autoplay?: boolean;
    autohide?: boolean;
    ccLangPref?: string;
    ccLoadPolicy?: boolean;
    color?: 'red' | 'white';
    controls?: boolean;
    disableKeyboard?: boolean;
    disableFullScreen?: boolean;
    end?: number;
    hl?: string;
    ivLoadPolicy?: 1 | 2 | 3;
    list?: string;
    listType?: 'playlist' | 'search' | 'user_uploads';
    loop?: boolean;
    modestbranding?: boolean;
    playlist?: string[];
    playsinline?: boolean;
    rel?: boolean;
    start?: number;
    className?: string;
    style?: {};
    onReady?: (player: any) => void;
    onStateChange?: (currState: CurrState, player: any) => void;
    onFinish?: () => void;
    onError?: (err: any) => void;
};
declare type State = {
    playerId: string;
    isPlayerReady: boolean;
    isPlaying: boolean;
    isFirstPlay: boolean;
};
export declare class YouTube extends React.Component<Props, State> {
    static readonly defaultProps: Props;
    state: State;
    private oYouTube;
    private readonly refWrapper;
    private resizeTID;
    constructor(props: Props);
    private initialize;
    private getConfigure;
    private destroy;
    private onResize;
    private onReady;
    private onStateChange;
    private onError;
    getPlayerObject(): any;
    componentDidMount(): void;
    componentDidUpdate(prevProps: Props, prevState: State): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
export {};
