/*
 * index.d.ts
 * This definition file will typed to "src/index.ts" and sub-modules.
 */

interface IPlayerState {
  UNSTARTED: -1;
  ENDED: 0;
  PLAYING: 1;
  PAUSED: 2;
  BUFFERING: 3;
  CUED: 5;
}
type CurrState = keyof IPlayerState;

interface Window {
  YT: {
    Player: any;
    PlayerState: PlayerState;
  };
  YTConfig?: {
    host: string;
  };
  onYouTubeIframeAPIReady (): void;

  Vimeo: {
    Player: any;
  };
}
